For the complete documentation index, see llms.txt. This page is also available as Markdown.

Languages

Introduction

Languages represent the available languages in the system. Each language can be activated or deactivated and is used for translations and localization throughout the application. Languages are managed by administrators and can be sorted for display purposes.

Model Definition

Attributes

Key
Type
Description

id

string

The unique identifier of the Language (BCP 47).

locale

string

The language part used by the application locale.

active

boolean

Whether the Language is active.

sort_number

integer

The sort order for display.

Available Languages

The following language keys and names are available in the current API version.

Key
Name

ar-SA

Arabic

bg-BG

Bulgarian

cs-CZ

Czech

da-DK

Danish

de-DE

German

el-GR

Greek

en-GB

English (UK)

en-US

English (US)

es-ES

Spanish

et-EE

Estonian

fi-FI

Finnish

fr-FR

French

he-IL

Hebrew

hu-HU

Hungarian

id-ID

Indonesian

it-IT

Italian

ja-JP

Japanese

ko-KR

Korean

lt-LT

Lithuanian

lv-LV

Latvian

nb-NO

Norwegian Bokmål

nl-NL

Dutch

pl-PL

Polish

pt-BR

Portuguese (Brazil)

pt-PT

Portuguese (Portugal)

ro-RO

Romanian

ru-RU

Russian

sk-SK

Slovak

sl-SI

Slovenian

sv-SE

Swedish

tr-TR

Turkish

uk-UA

Ukrainian

vi-VN

Vietnamese

zh-Hans

Chinese (Simplified)

zh-Hant

Chinese (Traditional)

List

List available Languages.

Definition

GET /api/languages

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

limit

integer

No limit

Maximum number of active languages.

Example Request

Example Response

Show

Show one available Language.

Definition

GET /api/languages/{language}

Route Parameters

Parameter
Type
Description

language

string

BCP 47 Language ID.

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

Example Request

Example Response

Admin: List

List all Languages in administration scope.

Definition

GET /api/administration/languages

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

limit

integer

No limit

Maximum number of active and inactive languages.

Example Request

Example Response

Admin: Show

Show one Language in administration scope.

Definition

GET /api/administration/languages/{language}

Route Parameters

Parameter
Type
Description

language

string

BCP 47 Language ID; inactive languages are included.

Request Keys

Key
Type
Default
Description

selects

string

All fields

Comma-separated fields to return.

Example Request

Example Response

Admin: Update

Update an existing Language.

Definition

PUT /api/administration/languages/{language}

Route Parameters

Parameter
Type
Description

language

string

BCP 47 Language ID.

Request Keys

Key
Type
Default
Description

active

boolean

Current value

Whether the Language is active.

sort_number

integer

Current value

Display order.

Example Request

Example Response

Last updated